/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.muni.fi.cepportal.database.dao;

import cz.muni.fi.cepportal.database.exceptions.NonexistentEntityException;
import cz.muni.fi.cepportal.database.exceptions.PreexistingEntityException;
import cz.muni.fi.cepportal.database.entities.EPLStatement;
import java.util.List;

/**
 * EPLStatement DAO interface
 * 
 * @author Štefan Repček
 */
public interface EPLStatementDAO {
    
    public void createEPLStatement(EPLStatement eplStatement) throws PreexistingEntityException;
    
    public void updateEPLStatement(EPLStatement eplStatement) throws PreexistingEntityException;
    
    public void deleteEPLStatement(EPLStatement eplStatement) throws NonexistentEntityException;
    
    public EPLStatement getEPLStatementbyID(Long id);
    
    public EPLStatement findEPLStatementByName(String name);
    
    public List<EPLStatement> findAllEPLStatements();
    
}
