/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.muni.fi.cepportal.database.services;

import cz.muni.fi.cepportal.database.dto.EventTypeDTO;
import cz.muni.fi.cepportal.database.exceptions.NonexistentEntityException;
import cz.muni.fi.cepportal.database.exceptions.PreexistingEntityException;
import java.util.List;

/**
 *
 * @author steve
 */
public interface EventTypeService {
    
   
    public void createEventType(EventTypeDTO eventType) throws PreexistingEntityException;
    
    public void updateEventType(EventTypeDTO eventType) throws PreexistingEntityException;
    
    public void deleteEventType(EventTypeDTO eventType) throws NonexistentEntityException;
    
    public EventTypeDTO getEventTypeByID(Long id);
    
    public EventTypeDTO findEventTypeByName(String name);
    
    public List<EventTypeDTO> findAllEventTypes();
    

    
}
